package fr.numeco.misis.sitemap.resource;

import fr.numeco.misis.sitemap.dto.SitemapDto;
import fr.numeco.misis.sitemap.service.SitemapService;
import io.quarkus.security.Authenticated;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.QueryParam;
import lombok.RequiredArgsConstructor;

@Path("/sitemap")
@RequiredArgsConstructor
@Authenticated
public class SitemapResource {

    private final SitemapService sitemapService;

   @GET
    public SitemapDto getSitemapUrls(@QueryParam("q") String sitemap, @QueryParam("isrecursive") boolean isRecursive) {
        return sitemapService.readSitemap(sitemap, true);
    }
}
