package fr.numeco.misis.suividesite.constraints.validators;

import java.util.Objects;

import fr.numeco.misis.suividesite.constraints.MethodeDeCreationDeGroupeConstraint;
import fr.numeco.misis.suividesite.dto.GroupOfPagesFormDto;
import jakarta.validation.ConstraintValidator;
import jakarta.validation.ConstraintValidatorContext;


public class MethodeDeCreationDeGroupeValidator implements ConstraintValidator<MethodeDeCreationDeGroupeConstraint, GroupOfPagesFormDto> {

    @Override
    public boolean isValid(GroupOfPagesFormDto formDto, ConstraintValidatorContext context) {
        return switch(formDto.getMethodeDeCreationDeGroupe()) {
            case AUTOMATIQUE -> Objects.nonNull(formDto.getSitemap()) && !formDto.getSitemap().isBlank();
            case MANUELLE -> Objects.nonNull(formDto.getPages()) && !formDto.getPages().isEmpty() ;
            default -> false;
        };
    }

}
